package com.czg.service.order.mapper;

import com.czg.order.entity.ShopProdStatistic;
import com.czg.order.param.DataSummaryProductSaleParam;
import com.czg.order.param.SaleSummaryCountParam;
import com.czg.order.vo.DataSummaryProductSaleRankingVo;
import com.czg.order.vo.SaleSummaryCountVo;
import com.czg.order.vo.SaleSummaryInfoVo;
import com.mybatisflex.core.BaseMapper;

import java.util.List;

/**
 *  映射层。
 *
 * @author zs
 * @since 2025-03-07
 */
public interface ShopProdStatisticMapper extends BaseMapper<ShopProdStatistic> {

    List<DataSummaryProductSaleRankingVo> findProdRandingSummaryPage(DataSummaryProductSaleParam param);

    List<DataSummaryProductSaleRankingVo> findProdRandingSummaryPage2(DataSummaryProductSaleParam param);

    SaleSummaryCountVo getSaleSummaryCount(SaleSummaryCountParam param);

    SaleSummaryCountVo getSaleSummaryCount2(SaleSummaryCountParam param);

    List<SaleSummaryInfoVo> findSaleSummaryList(SaleSummaryCountParam param);

    List<SaleSummaryInfoVo> findSaleSummaryList2(SaleSummaryCountParam param);

}
